cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/allowlist?pagination.start_key=SOME_STRING_VALUE&pagination.direction=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.time=SOME_STRING_VALUE&pagination.order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"allowlist": [
{
"cidr_ip": "192.168.1.1",
"cidr_mask": 32,
"ui": true,
"sql": true,
"name": "Example"
}
],
"propagating": true,
"pagination": {
"next": "<string>",
"last": "<string>",
"limit": 123,
"time": "2023-11-07T05:31:56Z",
"order": "ASC"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Get the IP allowlist and propagation status for a cluster.
Sort order: CIDR address
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
allowlist
cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/allowlist?pagination.start_key=SOME_STRING_VALUE&pagination.direction=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.time=SOME_STRING_VALUE&pagination.order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"allowlist": [
{
"cidr_ip": "192.168.1.1",
"cidr_mask": 32,
"ui": true,
"sql": true,
"name": "Example"
}
],
"propagating": true,
"pagination": {
"next": "<string>",
"last": "<string>",
"limit": 123,
"time": "2023-11-07T05:31:56Z",
"order": "ASC"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available options:
PAGE_DIRECTION_NEXT, PAGE_DIRECTION_LAST - DESC: Sort in descending order. The default order is ascending.
Available options:
ASC, DESC 
